Bug 230680 - perl-devel should be in git's BuildRequires
perl-devel should be in git's BuildRequires
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 21:37 EST by Pavel Roskin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-02 16:46:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (606 bytes, patch)
2007-03-01 21:37 EST, Pavel Roskin
no flags Details | Diff

  None (edit)
Description Pavel Roskin 2007-03-01 21:37:34 EST
Description of problem:

git should depend on perl-devel for building

Version-Release number of selected component (if applicable):
git-1.5.0.2-1.fc7
perl-devel-5.8.8-14.fc7

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to the latest perl.
2. Make sure perl-devel is not installed.
3. rpmbuild --rebuild git-1.5.0.2-1.fc7.src.rpm
  
Actual results:
make[2]: *** No rule to make target
`/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/config.h', needed by
`perl.mak'.  Stop.

Expected results:
git packages are built

Additional info:
Installing perl-devel fixes the problem.
Please add perl-devel to git's BuildRequires.
Comment 1 Pavel Roskin 2007-03-01 21:37:34 EST
Created attachment 149083 [details]
Patch
Comment 2 Chris Wright 2007-03-02 15:53:38 EST
Thanks for the report.  This is odd, because I don't have perl-devel installed,
and it also builds in plague.  I don't mind adding the patch, just wanted to have
a better understanding of the issue.  
Comment 3 Chris Wright 2007-03-02 16:46:09 EST
I see, my updates were stale (-12), once I found an uptodate mirror, I see
the new perl-devel package.  Fixed, will push out shortly. 

Note You need to log in before you can comment on or make changes to this bug.